1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

"Unable to locate working expect! Please check your installation." ??

Discussion in 'General Discussion' started by xWho, Jul 17, 2005.

  1. xWho

    xWho Member

    Joined:
    Apr 23, 2003
    Messages:
    112
    Likes Received:
    0
    Trophy Points:
    16
    When I do a /scripts/upcp, the first thing that comes out is:

    root@alpha [/usr/bin]# /scripts/upcp
    Unable to locate working expect! Please check your installation.


    Should I be concerned?

    WHM 10.3.1 cPanel 10.4.0-E99
    CentOS 4.1 i686 - WHM X v3.1.0
     
  2. haze

    haze Active Member

    Joined:
    Dec 21, 2001
    Messages:
    1,557
    Likes Received:
    3
    Trophy Points:
    38
    Does sound odd to me, perhaps make sure you have been compromised, unless this is just an edge bug.

    What does the following command report?

    rpm -qa expect

    and also:

    rpm -Vv expect
     
  3. xWho

    xWho Member

    Joined:
    Apr 23, 2003
    Messages:
    112
    Likes Received:
    0
    Trophy Points:
    16
    Well the first one gave no output and the second returnd "package expect is not installed"...

    What is expect?
     
  4. chirpy

    chirpy Super Moderator

    Joined:
    Jun 15, 2002
    Messages:
    13,499
    Likes Received:
    14
    Trophy Points:
    38
    Location:
    Go on, have a guess
    It's a scripting language and application that allows a third-party to run an interactive script. I'd suggest that you run:

    yum install expect
     

Share This Page